%define _bindir %{_prefix}/sbin
%define major 0.2
%define libname %mklibname htp %{major}
%define libname_devel %mklibname htp -d


Summary: 	Intrusion Detection System
Name: 		suricata
Version: 	1.2.1
Release: 	%mkrel 2
License: 	GPLv2+
Group: 		Networking/Other
URL: 		http://www.openinfosecfoundation.org
Source0: 	http://www.openinfosecfoundation.org/download/%{name}-%{version}.tar.gz
Source1:	http://www.openinfosecfoundation.org/download/%{name}-%{version}.tar.gz.sig
Source2: 	suricata.init
Source3: 	suricata.sysconfig
Source4: 	suricata.logrotate
BuildRequires: 	yaml-devel 
BuildRequires:	prelude-devel
BuildRequires: 	nfnetlink-devel 
BuildRequires:	netfilter_queue-devel 
BuildRequires:	net2-devel
BuildRequires: 	zlib-devel 
BuildRequires:  pcap-devel 
BuildRequires:	pcre-devel 
BuildRequires:  cap-ng-devel
BuildRequires:	magic-devel

%description
The Suricata Engine is an Open Source Next Generation Intrusion
Detection and Prevention Engine. This engine is not intended to
just replace or emulate the existing tools in the industry, but
will bring new ideas and technologies to the field. This new Engine
supports Multi-threading, Automatic Protocol Detection (IP, TCP,
UDP, ICMP, HTTP, TLS, FTP and SMB! ), Gzip Decompression, Fast IP
Matching and coming soon hardware acceleration on CUDA and OpenCL
GPU cards.


%package	-n 	%{libname}
Summary:        HTP library
Group:          Networking/Other

%description 	-n	%{libname}
none for the moment

%package	-n	%{libname_devel}
Summary:        HTP library developemnt
Group:          Networking/Other
Provides:	htp-devel = %{version}-%{release}

%description 	-n	%{libname_devel}
none for the moment.
These are devel files.

%prep
%setup -q

%build
%configure2_5x --enable-gccprotect --enable-nfqueue --enable-prelude  
%make

%install 
rm -rf %{buildroot}
%makeinstall

# Setup etc directory
install -d -m 700 %{buildroot}%{_sysconfdir}/suricata
install -d -m 700 %{buildroot}%{_sysconfdir}/suricata/rules
install -m 600 suricata.yaml %{buildroot}%{_sysconfdir}/suricata

install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/suricata

install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 600 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/suricata

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/suricata

# Make logging directory
install -d -m 700 %{buildroot}%{_var}/log/suricata

# drop .la file
rm -f %{buildroot}%{_libdir}/libhtp.la

%check
make check

%post
%_post_service suricata

%preun
%_preun_service suricata

%files
%doc COPYING doc/INSTALL
%{_sbindir}/suricata
%dir %{_var}/log/suricata
%dir %{_sysconfdir}/suricata
%dir %{_sysconfdir}/suricata/rules
%{_initrddir}/suricata
%config(noreplace) %{_sysconfdir}/suricata/suricata.yaml
%config(noreplace) %{_sysconfdir}/sysconfig/suricata
%config(noreplace) %{_sysconfdir}/logrotate.d/suricata

%files -n %{libname}
%{_libdir}/libhtp-%{major}.so.*

%files -n %{libname_devel}
%{_includedir}/htp
%{_libdir}/libhtp.a
%{_libdir}/libhtp.so
%{_libdir}/pkgconfig/htp.pc



%changelog

* Sun Apr 29 2012 colin <colin> 1.2.1-2.mga2
+ Revision: 234233
- Add LSB headers to initscripts (mga#5262)

* Sat Jan 21 2012 guillomovitch <guillomovitch> 1.2.1-1.mga2
+ Revision: 199127
- new version
- fix soname
- fix service handling during post-uninstallation
- no need to rebuild autotools build system
- drop .la file

* Fri Jan 20 2012 dlucio <dlucio> 1.2-1.mga2
+ Revision: 198780
- new BR: magic-devel

  + guillomovitch <guillomovitch>
    - new version
    - spec cleanup

* Fri Nov 11 2011 dlucio <dlucio> 1.1-1.mga2
+ Revision: 166416
- 1.1
- imported package suricata


* Sat Apr 23 2011 Steve Grubb <sgrubb@redhat.com> 1.0.3-1
- New upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 10 2010 Steve Grubb <sgrubb@redhat.com> 1.0.2-1
- New upstream release (#651978)

* Thu Jul 01 2010 Steve Grubb <sgrubb@redhat.com> 1.0.0-1
- New upstream release

* Fri May 07 2010 Steve Grubb <sgrubb@redhat.com> 0.9.0-1
- New upstream release

* Tue Apr 20 2010 Steve Grubb <sgrubb@redhat.com> 0.8.2-1
- New upstream release

* Sat Feb 27 2010 Steve Grubb <sgrubb@redhat.com> 0.8.1-1
- Initial packaging

